Package org.pushingpixels.flamingo.internal.ui.common.popup

# Class BasicCommandPopupMenuUI

java.lang.Object
javax.swing.plaf.ComponentUI
javax.swing.plaf.PanelUI
org.pushingpixels.flamingo.internal.ui.common.popup.PopupPanelUI
org.pushingpixels.flamingo.internal.ui.common.popup.BasicPopupPanelUI
org.pushingpixels.flamingo.internal.ui.common.popup.BasicCommandPopupMenuUI

public class BasicCommandPopupMenuUI extends BasicPopupPanelUI

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`protected static class`
`BasicCommandPopupMenuUI.MenuPanel`
`protected class`
`BasicCommandPopupMenuUI.PopupMenuLayoutManager`
`protected static class`
`BasicCommandPopupMenuUI.ScrollableCommandButtonPanel`
Popup panel that hosts groups of icons.

## Nested classes/interfaces inherited from class org.pushingpixels.flamingo.internal.ui.common.popup.BasicPopupPanelUI

`BasicPopupPanelUI.PopupPanelEscapeDismisser, BasicPopupPanelUI.WindowTracker`

## Field Summary

Fields
Modifier and Type
Field
Description
`protected BasicCommandPopupMenuUI.ScrollableCommandButtonPanel`
`commandButtonPanel`
`static final String`
`FORCE_ICON`
`protected JScrollablePanel<JPanel>`
`menuItemsPanel`
`protected static final CommandButtonDisplayState`
`POPUP_MENU`
`protected PopupPanelManager.PopupListener`
`popupListener`
`protected JCommandPopupMenu`
`popupMenu`
The associated popup menu
`protected ChangeListener`
`popupMenuChangeListener`

### Fields inherited from class org.pushingpixels.flamingo.internal.ui.common.popup.BasicPopupPanelUI

`popupPanel`

## Constructor Summary

Constructors
Constructor
Description
`BasicCommandPopupMenuUI()`

## Method Summary

Modifier and Type
Method
Description
`protected LayoutManager`
`createLayoutManager()`
`protected JPanel`
`createMenuPanel()`
`protected BasicCommandPopupMenuUI.ScrollableCommandButtonPanel`
`createScrollableButtonPanel()`
`static ComponentUI`
`createUI(JComponent c)`
`protected void`
`installComponents()`
Installs components on the associated command popup menu.
`protected void`
`installListeners()`
Installs listeners on the associated command popup menu.
`void`
`installUI(JComponent c)`
`protected void`
`syncComponents()`
`protected void`
`uninstallComponents()`
Uninstalls subcomponents from the associated command popup menu.
`protected void`
`uninstallListeners()`
Uninstalls listeners from the associated command popup menu.

### Methods inherited from class org.pushingpixels.flamingo.internal.ui.common.popup.BasicPopupPanelUI

`initiliazeGlobalListeners, installDefaults, uninstallDefaults, uninstallUI`

### Methods inherited from class javax.swing.plaf.ComponentUI

`contains, getAccessibleChild, getAccessibleChildrenCount, getBaseline, getBaselineResizeBehavior, getMaximumSize, getMinimumSize, getPreferredSize, paint, update`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### popupMenu

protected JCommandPopupMenu popupMenu
The associated popup menu

### popupMenuChangeListener

protected ChangeListener popupMenuChangeListener

### popupListener

protected PopupPanelManager.PopupListener popupListener

### commandButtonPanel

protected BasicCommandPopupMenuUI.ScrollableCommandButtonPanel commandButtonPanel

### menuItemsPanel

protected JScrollablePanel<JPanel> menuItemsPanel

### FORCE_ICON

public static final String FORCE_ICON

See Also:
  - Constant Field Values

### POPUP_MENU

protected static final CommandButtonDisplayState POPUP_MENU

## Constructor Details

### BasicCommandPopupMenuUI

public BasicCommandPopupMenuUI()

## Method Details

### createUI

public static ComponentUI createUI(JComponent c)

### installUI

public void installUI(JComponent c)

Overrides:
  `installUI` in class `BasicPopupPanelUI`

### installComponents

protected void installComponents()
Description copied from class: `BasicPopupPanelUI`
Installs components on the associated command popup menu.

Overrides:
  `installComponents` in class `BasicPopupPanelUI`

### syncComponents

protected void syncComponents()

### createScrollableButtonPanel

protected BasicCommandPopupMenuUI.ScrollableCommandButtonPanel createScrollableButtonPanel()

### uninstallComponents

protected void uninstallComponents()
Description copied from class: `BasicPopupPanelUI`
Uninstalls subcomponents from the associated command popup menu.

Overrides:
  `uninstallComponents` in class `BasicPopupPanelUI`

### installListeners

protected void installListeners()
Description copied from class: `BasicPopupPanelUI`
Installs listeners on the associated command popup menu.

Overrides:
  `installListeners` in class `BasicPopupPanelUI`

### uninstallListeners

protected void uninstallListeners()
Description copied from class: `BasicPopupPanelUI`
Uninstalls listeners from the associated command popup menu.

Overrides:
  `uninstallListeners` in class `BasicPopupPanelUI`

### createMenuPanel

protected JPanel createMenuPanel()

### createLayoutManager

protected LayoutManager createLayoutManager()